MAKEMAP(8)

NAME
makemap - create database maps for sendmail

SYNOPSIS
makemap [-N] [-d] [-f] [-o] [-r] [-s] [-v] maptype mapname

DESCRIPTION
makemap creates the database maps used by the keyed map lookups in sendmail(8). It reads input from the standard input and outputs them to the indicated mapname.

Depending on how it is compiled, makemap handles up to three different database formats, selected using the maptype parameter. They may be

dbm DBM format maps. This requires the ndbm(3) library.

btree
    B-Tree format maps. This requires the new Berkeley DB library.

hash
    Hash format maps. This also requires the Berkeley DB library.

In all cases, makemap reads lines from the standard input consisting of two words separated by white space. The first is the database key, the second is the value. The value may contain ``%n'' strings to indicated parameter substitution. Literal percents should be doubled (``%%''). Blank lines and lines beginning with ``#'' are ignored.

  Flags

-N  Include the null byte that terminates strings in the map. This must match the -N flag in the sendmail.cf ``K'' line.

-d  Allow duplicate keys in the map. This is only allowed on B-Tree format maps. If two identical keys are read, they will both be inserted into the map.

-f  Normally all upper case letters in the key are folded to lower case. This flag disables that behaviour. This is intended to mesh with the -f flag in the K line in sendmail.cf. The value is never case folded.

-o  Append to an old file. This allows you to augment an existing file.

-r  Allow replacement of existing keys. Normally makemap complains if you repeat a key, and does not do the insert.

-s  Ignore safety checks on maps being created. This includes checking for hard or symbolic links in world writable directories.

-v  Verbosely print what it is doing.

SEE ALSO
sendmail(8)

HISTORY
The makemap command appeared in 4.4BSD.